|

Validate a vault data update

post/users/vault/validate
Checks if provided data is valid before adding it to the vault given a short-lived client token. Returns an HTTP 200 if there are no validation errors, or HTTP 400 with context describing validation errors if any.

Request

Headers

x-fp-authorization·

string

Short-lived client token issued by the POST /users/{fp_id}/client_token API.

Body

Key-value map of data to add to the user's vault. For more documentation on available keys, see here.
<key>·

string

Allowed values:

id.first_nameid.middle_nameid.last_nameid.dobid.ssn4id.ssn9id.address_line1id.address_line2id.cityid.stateid.zipid.countryid.emailid.phone_numberid.us_legal_statusid.visa_kindid.visa_expiration_dateid.nationalityid.citizenshipsid.drivers_license_numberid.drivers_license_stateid.itinid.us_tax_id
custom.*
investor_profile.employment_statusinvestor_profile.occupationinvestor_profile.employerinvestor_profile.annual_incomeinvestor_profile.net_worthinvestor_profile.investment_goalsinvestor_profile.risk_toleranceinvestor_profile.declarationsinvestor_profile.brokerage_firm_employerinvestor_profile.senior_executive_symbolsinvestor_profile.family_member_namesinvestor_profile.political_organizationinvestor_profile.funding_sources
document.id_card.front.imagedocument.id_card.front.mime_typedocument.id_card.back.image
<value>·

string | integer | boolean | object

Response

Empty JSON.
POST /users/vault/validate
1curl -X POST https://api.onefootprint.com/users/vault/validate \
2  -H 'x-fp-authorization: cttok_UxM6Vbvk2Rcy1gzcSuXgk3sj3L9I0pAnNH' \
3  -d '{
4    "id.first_name": "Jane",
5    "id.last_name": "Doe",
6    "custom.user_id": "7c50e2bc-c31f-42e3-b2b0-9852010cfd58"
7  }'
Response example
{}